View Issue Details

IDProjectCategoryView StatusLast Update
0000036JamochaMUDPlug-inpublic2005-09-24 21:30
ReporterjeffnikAssigned Tojeffnik 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0 
Target VersionFixed in Version1.0 
Summary0000036: JamochaMUD 'hangs' if no plug-ins are present
DescriptionWhen JamochaMUD has no compiled plug-ins available, a nullpointerexception will be generated when the first line of output from a connection is received.
Additional InformationJamochaMUD isn't checking to see whether there are any plug-ins available before trying to call the list and process the output from the MU*. Once we hit the null pointer exception JamochaMUD can't go any further giving the appearance of a hung connection.
TagsNo tags attached.

Activities

jeffnik

2003-07-20 18:20

administrator   ~0000014

Added check to ensure that plug-ins are only querried if infact there are plug-ins. Also did some code clean-up in relation to the EnumPlugIns class.

Issue History

Date Modified Username Field Change
2005-08-20 22:08 jeffnik Status resolved => closed
2005-09-24 20:54 jeffnik Product Version => 1.0 rc1
2005-09-24 20:59 jeffnik Status closed => resolved
2005-09-24 20:59 jeffnik Fixed in Version => 1.0 rc1
2005-09-24 21:30 jeffnik Status resolved => closed